<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>web-project</groupId>
  <artifactId>web-project</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <name>Web project</name>
  <description>Web project with hibernate and spring mvc</description>
	<packaging>pom</packaging>
  
  
  <build>
		<sourceDirectory>src</sourceDirectory>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
	
  <properties>
<!--   	<java-version>1.8</java-version> -->
	<org.springframework-version>4.3.0.RELEASE</org.springframework-version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<!--    	<org.hibernate.annotations.version>4.0.1.Final</org.hibernate.annotations.version> -->
<!--     <org.hibernate-validator.version>3.3.0.ga</org.hibernate-validator.version> -->
    <org.springframework.security.version>4.0.4.RELEASE</org.springframework.security.version>
   </properties>
  

	<dependencies>
		<!-- https://mvnrepository.com/artifact/log4j/log4j -->
		<dependency>
		    <groupId>log4j</groupId>
		    <artifactId>log4j</artifactId>
		    <version>1.2.17</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-api -->
		<dependency>
		    <groupId>org.slf4j</groupId>
		    <artifactId>slf4j-api</artifactId>
		    <version>1.7.25</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-log4j12 -->
		<dependency>
		    <groupId>org.slf4j</groupId>
		    <artifactId>slf4j-log4j12</artifactId>
		    <version>1.7.25</version>
		    <scope>test</scope>
		</dependency>


		<dependency>
			<groupId>org.springframework</groupId>
		    <artifactId>spring-context</artifactId>
		    <version>${org.springframework-version}</version>
		</dependency>
		 
		<dependency>
		    <groupId>org.springframework</groupId>
		    <artifactId>spring-webmvc</artifactId>
		    <version>${org.springframework-version}</version>
		</dependency>
		<dependency>
		    <groupId>org.springframework</groupId>
		    <artifactId>spring-orm</artifactId>
		    <version>${org.springframework-version}</version>
		    <type>jar</type>
		    <scope>compile</scope>
		</dependency>
<!-- 		<dependency> -->
<!-- 		    <groupId>org.hibernate</groupId> -->
<!-- 		    <artifactId>hibernate-core</artifactId> -->
<!-- 		     <version>5.1.5.Final</version> -->
<!-- 		     <exclusions> -->
<!-- 		          <exclusion> -->
<!--                     <groupId>org.javassist</groupId> -->
<!--                     <artifactId>javassist</artifactId> -->
<!--                 </exclusion> -->
<!--             </exclusions> -->
<!-- 		</dependency> -->
		<!-- https://mvnrepository.com/artifact/org.hibernate.common/hibernate-commons-annotations -->
<!-- 		<dependency> -->
<!-- 		    <groupId>org.hibernate.common</groupId> -->
<!-- 		    <artifactId>hibernate-commons-annotations</artifactId> -->
<!-- 		    <version>5.0.1.Final</version> -->
<!-- 		</dependency> -->
		
		<!-- https://mvnrepository.com/artifact/org.hibernate/hibernate-core -->
		<dependency>
		    <groupId>org.hibernate</groupId>
		    <artifactId>hibernate-core</artifactId>
		    <version>5.2.12.Final</version>
		</dependency>
		
				
		<!-- https://mvnrepository.com/artifact/org.hibernate/hibernate-c3p0 -->
		<dependency>
		    <groupId>org.hibernate</groupId>
		    <artifactId>hibernate-c3p0</artifactId>
		    <version>5.1.5.Final</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.hibernate.common/hibernate-commons-annotations -->
		<dependency>
		    <groupId>org.hibernate.common</groupId>
		    <artifactId>hibernate-commons-annotations</artifactId>
		    <version>5.0.1.Final</version>
		</dependency>
				
		<!-- https://mvnrepository.com/artifact/commons-io/commons-io -->
		<dependency>
		    <groupId>commons-io</groupId>
		    <artifactId>commons-io</artifactId>
		    <version>2.5</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.hibernate/hibernate-annotations -->
<!-- 		<dependency> -->
<!-- 		    <groupId>org.hibernate</groupId> -->
<!-- 		    <artifactId>hibernate-annotations</artifactId> -->
<!-- 		    <version>3.5.6-Final</version> -->
<!-- 		</dependency> -->
		
		
		
		<!-- https://mvnrepository.com/artifact/com.mchange/c3p0 -->
		<dependency>
		    <groupId>com.mchange</groupId>
		    <artifactId>c3p0</artifactId>
		    <version>0.9.5.2</version>
		</dependency>
				

<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-collections4 -->
<dependency>
    <groupId>org.apache.commons</groupId>
    <artifactId>commons-collections4</artifactId>
    <version>4.4</version>
</dependency>

		
		

		 <dependency>
	        <groupId>com.fasterxml.jackson.core</groupId>
	        <artifactId>jackson-core</artifactId>
	        <version>2.7.4</version>
	    </dependency>
	    <dependency>
	        <groupId>com.fasterxml.jackson.core</groupId>
	        <artifactId>jackson-databind</artifactId>
	        <version>2.7.4</version>
	    </dependency>
    
	    <!-- https://mvnrepository.com/artifact/org.codehaus.jackson/jackson-mapper-asl -->
		<dependency>
		    <groupId>com.fasterxml.jackson.core</groupId>
		    <artifactId>jackson-annotations</artifactId>
		    <version>2.7.4</version>
		</dependency>				
		    
	   
	   
	    
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.0.1</version>
	 		<scope>provided</scope> 
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.apache.geronimo.specs/geronimo-jta_1.1_spec -->
		<dependency>
		    <groupId>org.apache.geronimo.specs</groupId>
		    <artifactId>geronimo-jta_1.1_spec</artifactId>
		    <version>1.1.1</version>
<!-- 		    <scope>provided</scope>  -->
		</dependency>
		
		
		<!-- https://mvnrepository.com/artifact/org.eclipse.persistence/javax.persistence -->
		<dependency>
		    <groupId>org.eclipse.persistence</groupId>
		    <artifactId>javax.persistence</artifactId>
		    <version>2.2.0</version>
		</dependency>



		<dependency>
		    <groupId>org.apache.commons</groupId>
		    <artifactId>commons-dbcp2</artifactId>
		    <version>2.0</version>
		</dependency>	
		<dependency>
			<groupId>javassist</groupId>
			<artifactId>javassist</artifactId>
			<version>3.12.1.GA</version>
		</dependency>
		
		<dependency>
		   <groupId>commons-fileupload</groupId>
		   <artifactId>commons-fileupload</artifactId>
		   <version>1.2.1</version>
		</dependency>
		
		<dependency>
			<groupId>javax.validation</groupId>
			<artifactId>validation-api</artifactId>
			<version>1.1.0.Final</version>
		</dependency>	

		<dependency>
			<groupId>jstl</groupId>
			<artifactId>jstl</artifactId>
			<version>1.2</version>
		</dependency>
		
<!-- 		<dependency> -->
<!-- 		    <groupId>org.apache.directory.studio</groupId> -->
<!-- 		    <artifactId>org.apache.commons.io</artifactId> -->
<!-- 		    <version>2.4</version> -->
<!-- 		</dependency> -->
				
		<!-- https://mvnrepository.com/artifact/commons-io/commons-io -->
		<dependency>
		    <groupId>commons-io</groupId>
		    <artifactId>commons-io</artifactId>
		    <version>2.5</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/commons-lang/commons-lang -->
		<dependency>
		    <groupId>commons-lang</groupId>
		    <artifactId>commons-lang</artifactId>
		    <version>2.6</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/joda-time/joda-time -->
		<dependency>
		    <groupId>joda-time</groupId>
		    <artifactId>joda-time</artifactId>
		    <version>2.9.9</version>
		</dependency>
				
		<!-- https://mvnrepository.com/artifact/commons-beanutils/commons-beanutils -->
		<dependency>
		    <groupId>commons-beanutils</groupId>
		    <artifactId>commons-beanutils</artifactId>
		    <version>1.9.3</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/xml-apis/xml-apis -->
		<dependency>
		    <groupId>xml-apis</groupId>
		    <artifactId>xml-apis</artifactId>
		    <version>1.0.b2</version>
		    <scope>provided</scope>
		</dependency>

				
	</dependencies>
  
</project>